Uploaded image for project: 'Modules'
  1. Modules
  2. MODULES-10988

IIS module uses the wrong require path

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Normal
    • Resolution: Done
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: iis
    • Labels:
      None
    • Template:
      MODULES Bug Template
    • Method Found:
      Needs Assessment
    • QA Risk Assessment:
      Needs Assessment

      Description

      I think it's a bug in the iis module, it assumes that lib is the parent directory: https://github.com/puppetlabs/puppetlabs-iis/blob/064ffe7a8941c6137e9d160157a470eeb5318db9/lib/puppet/feature/iis_web_server.rb#L4

      I think it should be

      require_relative '../../puppet_x/puppetlabs/iis/iis_version'

      See https://puppet.slack.com/archives/CGJ0GTF4Y/p1617133411095300?thread_ts=1617132833.090500&cid=CGJ0GTF4Y for more conversation

        Attachments

          Activity

            People

            Assignee:
            david.schmitt David Schmitt
            Reporter:
            ben.ford Ben Ford
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Zendesk Support